/*
 * (C) COPYRIGHT ARM Limited. All rights reserved.
 *
 * This program is free software and is provided to you under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation, and any use by you of this program is subject to the terms
 * of such GNU licence.
 *
 * A copy of the licence is included with the program, and can also be obtained
 * from Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 */

/****************************************************************************
 * Include v3 interface
 ****************************************************************************/

#include "host_interface_v3/mve_protocol_def.h"

/****************************************************************************
 * Includes
 ****************************************************************************/

#include "mve_com_host_interface_v3.h"
#include "mve_com_host_interface_v2.h"
#include "mve_com.h"

struct mve_com *mve_com_host_interface_v3_new(void)
{
    struct mve_com *com = mve_com_host_interface_v2_new();
    if (NULL != com)
    {
        com->host_interface.prot_ver = MVE_BASE_FW_MAJOR_PROT_V3;
    }
    return com;
}
